Subject: Re: [PATCH] test: errors preparing for a test are not special

From: Johannes Sixt <[email-masked]>
Date: Wed, 14 Dec 2011 09:51:59 +0100

Am 12/14/2011 9:22, schrieb Jonathan Nieder:
> Johannes Sixt wrote:
>> Am 12/13/2011 23:35, schrieb Joe Ratterman:
> 
>>>  test_expect_success TTY 'no pager with --no-pager' '
>>>  	rm -f paginated.out ||
>>>  	cleanup_fail &&
>>
>> What kind of bogosity do I see in the context of this hunk
> [...]
>> Wouldn't rm -f always succeed under normal circumstances, and then the
>> rest of the test would be skipped?
> 
> No, && and || are left-associative.

<Facepalm/> You are right, of course, and I should have known better. (I
need more caffein.)

At any rate, your patch makes the code much more comprehensible.

-- Hannes